## SHOW

SHOW — show the value of a run-time parameter

## Synopsis

```
SHOW name
SHOW ALL

```

## Description

`SHOW` will display the current setting of run-time parameters. These variables can be set using the `SET` statement, by editing the `postgresql.conf` configuration file, through the `PGOPTIONS` environmental variable (when using libpq or a libpq-based application), or through command-line flags when starting the `postgres` server. See [Chapter 20](runtime-config.html) for details.

## Parameters

*`name`*

 The name of a run-time parameter. Available parameters are documented in [Chapter 20](runtime-config.html) and on the [SET](sql-set.html) reference page. In addition, there are a few parameters that can be shown but not set:

`SERVER_VERSION`

 Shows the server's version number.

`SERVER_ENCODING`

 Shows the server-side character set encoding. At present, this parameter can be shown but not set, because the encoding is determined at database creation time.

`LC_COLLATE`

 Shows the database's locale setting for collation (text ordering). At present, this parameter can be shown but not set, because the setting is determined at database creation time.

`LC_CTYPE`

 Shows the database's locale setting for character classification. At present, this parameter can be shown but not set, because the setting is determined at database creation time.

`IS_SUPERUSER`

 True if the current role has superuser privileges.

`ALL`

 Show the values of all configuration parameters, with descriptions.

## Notes

 The function `current_setting` produces equivalent output; see [Section 9.27.1](functions-admin.html#FUNCTIONS-ADMIN-SET). Also, the [`pg_settings`](view-pg-settings.html) system view produces the same information.

## Examples

 Show the current setting of the parameter `DateStyle`:

```
SHOW DateStyle;
 DateStyle
## Compatibility

 The `SHOW` command is a PostgreSQL extension.

## See Also

[SET](sql-set.html), [RESET](sql-reset.html)

